2022-08-12 06:31 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000551mercuryBugpublic2022-02-21 21:03
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000551: Information messages refer to non-existent pragma
DescriptionThe compiler is emitting information messages like the following for the tests in tests/debugger when bootchecking in grade asm_fast.par.gc:

gmake[3]: Leaving directory `/home/jfischer/release/mercury.git/tests/debugger'
ERROR OUTPUT
io_tab_goto.m:029: Ignoring the
io_tab_goto.m:029: `:- pragma table_io(entry_stores_procid_inputs_outputs, alone)'
io_tab_goto.m:029: declaration for predicate `io_tab_goto.goto'/2 mode 0,
io_tab_goto.m:029: because tabling is not compatible with parallel execution.

At the source code level, there is AFAIK no such thing as a table_io pragma.

Mercury: 22.01-beta-2022-02-16
C compiler: GCC 4.8.5
OS: CentOS 7
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001177

zs (developer)

Fix for the misleading error message committed 2022 feb 21.

(The test case may still fail due to mismatch with the expected output,
but that is a separate issue.)
+Notes

-Issue History
Date Modified Username Field Change
2022-02-21 17:11 juliensf New Issue
2022-02-21 17:21 zs Assigned To => zs
2022-02-21 17:21 zs Status new => assigned
2022-02-21 21:03 zs Status assigned => resolved
2022-02-21 21:03 zs Resolution open => fixed
2022-02-21 21:03 zs Note Added: 0001177
+Issue History